Britive platform release 2026.09.02 is now live in production.

Create a workflow notification

Prev Next
Post
/api/notifications
Security
HTTP
Type bearer
Body parameters
{
  "name": "Y-Testing",
  "description": "",
  "status": "Active",
  "sendNoChanges": false,
  "actionType": "Email",
  "notificationMedium": [
    {
      "id": ""
    },
    {
      "id": "",
      "channels": [
        "testchannel22",
        "testchannel3"
      ]
    },
    {
      "id": ""
    }
  ],
  "rules": [
    {
      "predicate": "ProfileAccessRequestAllApprovedAndFulfilled",
      "operator": "OR",
      "description": "Access builder request approved and fulfilled"
    }
  ],
  "memberRules": [
    {
      "id": "v0akzyxj5aiodocoya2x",
      "memberType": "User"
    },
    {
      "id": "afl7qbomi9zwcneywqkt",
      "memberType": "User"
    }
  ]
}
Expand All
object
name
string
description
string
status
string
Valid values[ "Inactive", "Active" ]
sendNoChanges
boolean
actionType
string
notificationMedium
object (JsonNode)
rules
Array of object (RuleBean)
Unique itemstrue
object
predicate
string
predicateType
string
Valid values[ "SCANNER", "ACCESS_BUILDER", "API_TOKEN", "USER", "PROFILE", "RESOURCE_SCANNER" ]
operator
string
Valid values[ "OR" ]
description
string
memberRules
Array of object (WorkflowMemberRuleDto)
object
id
string
memberType
string
Valid values[ "User", "Tag" ]
Responses
200

OK

object